package com.aidex.common.plush.service;

import com.aidex.common.core.service.BaseService;
import com.aidex.common.plush.domain.SysShipExtend;

import java.util.List;

/**
 * 船只信息扩展（查询站点数据使用）Service接口
 * @author shs
 * @email shs@woshs.com
 * @date 2024-03-27
 */
public interface SysShipExtendService {


    void save(SysShipExtend sysShipExtend);

    void update(SysShipExtend sysShipExtend);

    void updateByShip(SysShipExtend sysShipExtend);

    SysShipExtend findById(String id);

    void delByIds(String[] ids);

    List<SysShipExtend> findList(SysShipExtend sysShipExtend);
}
